Subject: Re: bug#27634: 25.2.1; C-g does not quit register-read-with-preview

From: Paul Rankin <[email-masked]>
Date: Tue, 11 Jul 2017 14:14:22 +1000

On Tue, 11 Jul 2017, at 03:06 AM, Eli Zaretskii wrote:
> FWIW, I actually agree with Tino's solution, and was about to propose
> something similar. It's true that control characters are not
> alphanumeric, but we could fix the documentation to be more accurate
> if we care about that.  OTOH, we've supported control characters as
> register names for many years, and by now it should be quite clear it
> didn't bother anyone yet.

Hmm, it bothers me?

If no one had reported an issue before now, it doesn't then follow that the issue didn't bother anyone, or, wouldn't have bothered them if they knew about it.

But the question is moot I think, since this is an opportunity to improve the code.. why waste time arguing for poorer code when we can make it better?
 
> > That prohibits anything except "a-zA-Z0-9", although users may want to save registers to "$" or "*".
> 
> Why would we want to be so strict when the only real problem is that
> C-g doesn't quit?

I think there are two good options for good UX: make the code reflect the documentation (this is the strict option), or update both the documentation and the code to reflect what we believe is user expectation, i.e. that the user may save registers to any character key on their keyboard (this is my preference).

One overlooked thing about Tino's solution is that C-g is a keystroke and keyboard-quit is a function, which obviously aren't necessarily equivalent. What if the user remaps keyboard quit to "7"?